/***************************************************************************
 *   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
 ***************************************************************************/
import QtQuick 2.0
import QtQuick.Controls 1.0
import QtQuick.Layouts 1.0

RowLayout {
    id: grid
    property var m: report.account_table
    spacing: 2

    function maxValues(m, id) {
        var output = 0
        for (var i = 1; i < m.length; i++) {
            if (!m[i][0] && Math.abs(m[i][id]) > output)
                output = Math.abs(m[i][id])
        }
        return output
    }

    ColumnLayout {
        spacing: 0

        // Set titles
        Repeater {
            model: m
            Label {
                font.bold: index == 0 || modelData[0]
                text: modelData[1]
                horizontalAlignment: index == 0 ? Text.AlignHCenter : Text.AlignLeft
            }
        }
    }

    Repeater {
        model: 6
        ColumnLayout {
            id: column
            spacing: 0
            property var modelId: modelData + 2

            // Set values
            Repeater {
                model: m
                SKGValue {
                    horizontalAlignment: index == 0 ? Text.AlignHCenter : Text.AlignRight
                    font.bold: index == 0 || modelData[0]

                    value: index == 0 || column.modelId == 4
                           || column.modelId == 7 ? null : modelData[column.modelId]
                    max: column.modelId == 4 || column.modelId == 7
                         || modelData[0] ? null : maxValues(m, column.modelId)
                    backgroundColor: '#' + (value == null
                                            || value < 0 ? color_negativetext : color_positivetext)
                    text: index == 0 ? modelData[column.modelId] : column.modelId == 4
                                       || column.modelId
                                       == 7 ? document.formatPercentage(
                                                  modelData[column.modelId]) : document.formatPrimaryMoney(
                                                  modelData[column.modelId])
		    url: font.bold || column.modelId != 6 ? "" : "skg://Skrooge_operation_plugin/?operationWhereClause=t_ACCOUNT='"+ modelData[1] + "'&title="+ modelData[1] + "&title_icon=view-bank-account"
                }
            }
        }
    }
}
